<h1 class="title">Detalles del reporte</h1>

<style>
.image{
  overflow: hidden;
}
</style>

<div class="box content">
  <strong>Post: <%= link(@post.id, to: "/post/#{@post.id}", target: "_blank") %></strong>
  <br>
  <strong>Autor: <%= link "@" <> @post.user.username, to: "/@#{@post.user.username}", target: "_blank" %></strong>
  <p><%= @post.body %></p>
  <%= if length(@post.tags) > 0 do %>
    <p>
      <strong>Tags: </strong><%= Enum.map(@post.tags, & &1.name) |> Enum.join(", ") %>
    </p>
  <% end %>
  <%= if length(@post.media) > 0 do %>
    <p>
    <strong>Medios:</strong>
    </p>
    <div class="columns">
    <%= for media <- @post.media do %>
    <div class="column">
      <a href="<%= media.url %>" target="_blank">
        <figure class="image is-128x128">
          <img src="<%= media.metadata["preview_url"] %>">
        </figure>
      </a>
    </div>
    <% end %>
    </div>
  <% end %>
  <%= if length(@post.links) > 0 do %>
    <p>
    <strong>Enlaces:</strong>
    <ul>
      <%= for link <- @post.links do %>
        <li><a href="<%= link.url %>" target="_blank"><%= link.url %></a></li>
      <% end %>
    </ul>
    </p>
  <% end %>
</div>

<div class="field">
  <%= button("Eliminar post", to: "/admin/reports/post/#{@post.id}", method: "delete", class: "button is-danger", data: [confirm: "Eliminar post?"]) %>
  <%= button("Resolver reportes", to: "/admin/reports/post/#{@post.id}", method: "put", class: "button is-success", data: [confirm: "Resolver reportes?"]) %>
</div>

<div class="content">
  <p><strong>Motivo mas frecuente:</strong>
  <br>
  <%= @common_comments %></p>
</div>

<hr>

<table class="table">
  <thead>
    <tr>
      <th>Reportador</th>
      <th>Motivo</th>
      <th></th>
    </tr>
  </thead>
  <tbody>
    <%= for report <- @reports do %>
      <tr>
        <td><%= link report.reporter.username, to: "/@#{report.reporter.username}", target: "_blank" %></td>
        <td><%= report.comments %></td>
        <td></td>
      </tr>
    <% end %>
  </tbody>
</table>

<%= pagination_links @reports %>
